﻿using Microsoft.Extensions.Logging;
using SlnMesnac.Model.domain;
using SlnMesnac.Repository.service.@base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SlnMesnac.Repository.service.Impl
{
    public class ProdOrderInfoServiceImpl : BaseServiceImpl<ProdOrderInfo>, ProdOrderInfoService
    {
        private ILogger<ProdPlanInfoServiceImpl> _logger;
        public ProdOrderInfoServiceImpl(Repository<ProdOrderInfo> rep, ILogger<ProdPlanInfoServiceImpl> logger) : base(rep)
        {
            _logger = logger;
        }

        /// <summary>
        /// 根据订单号查询订单信息
        /// </summary>
        /// <param name="orderCode"></param>
        /// <returns></returns>
        /// <exception cref="NotImplementedException"></exception>
        public ProdOrderInfo GetProdOrderInfoByOrderCode(string orderCode)
        {
            ProdOrderInfo prodOrderInfo = new ProdOrderInfo();
            try
            {
                prodOrderInfo = _rep.GetFirst(x => x.OrderCode == orderCode);
            }
            catch (Exception ex)
            {
                _logger.LogError($"根据订单号查询订单信息异常{ex.Message}");
            }
            return prodOrderInfo;
        }
    }
}
